/* gvSIG. Geographic Information System of the Valencian Government
*
* Copyright (C) 2007-2008 Infrastructures and Transports Department
* of the Valencian Government (CIT)
* 
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.
* 
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, 
* MA  02110-1301, USA.
* 
*/
package org.gvsig.raster.tools.algorithm.maskthreshold;


/**
 * This exception is thrown if happen problems processing data with this algorithm.
 * 
 * @author Nacho Brodin (nachobrodin@gmail.com)
 *
 */
public class MaskthresholdException extends Exception {
	private static final long serialVersionUID = -3022090543908771484L;
	
	public MaskthresholdException(String msg){
		super(msg);
	}
	
	public MaskthresholdException(String msg, Throwable e){
		super(msg, e);
	}
}